package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.base.BaseEntity;
import com.qmth.distributed.print.business.enums.ExamStatusEnum;
import com.qmth.distributed.print.business.enums.ReviewStatusEnum;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 机器打样状态表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("client_status")
public class ClientStatus extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    /**
     * 机器唯一码
     */
    @TableField("machine_code")
    private String machineCode;
    /**
     * 考场ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("exam_detail_id")
    private Long examDetailId;
    /**
     * 是否打样
     */
    @TableField("is_try")
    private Boolean isTry;
    /**
     * 打样时间
     */
    @TableField("try_time")
    private Long tryTime;
    /**
     * 是否合格
     */
    @TableField("is_pass")
    private Boolean isPass;

    /**
     * 是否缓存
     */
    @TableField("is_download")
    private Boolean isDownload;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getMachineCode() {
        return machineCode;
    }

    public void setMachineCode(String machineCode) {
        this.machineCode = machineCode;
    }

    public Long getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(Long examDetailId) {
        this.examDetailId = examDetailId;
    }

    public Boolean getTry() {
        return isTry;
    }

    public void setTry(Boolean aTry) {
        isTry = aTry;
    }

    public Long getTryTime() {
        return tryTime;
    }

    public void setTryTime(Long tryTime) {
        this.tryTime = tryTime;
    }

    public Boolean getPass() {
        return isPass;
    }

    public void setPass(Boolean pass) {
        isPass = pass;
    }

    public Boolean getDownload() {
        return isDownload;
    }

    public void setDownload(Boolean download) {
        isDownload = download;
    }
}
